Assignee:    

Category:    

Description

Hi,

I'm looking at waves 3, 5 and 7 of the individual file and the variable exsame. I noticed something that looks strange in changes from

wave to wave. For some individuals they respond "no" to the question: "is the father/mother of all your children the same person?" in

earlier waves 21/23 and then in wave 23/25 change their response to "yes" the father/mother of all your children is the same person.

This doesn't seem to make logical sense (I'd understand/be able to check the other way round as respondents may have new

children in the survey period). It seems to occur for enough observations not to just be a mistake by the respondent. Do you have

any insights on this?

Thanks in advance,

Charlotte

History

#1 - 08/29/2019 11:07 AM - Alita Nandi

- Subject changed from Variable for checking if parent has same ex-partner for all childre to Variable for checking if parent has same ex-partner for all

children

- Status changed from New to In Progress

- Assignee set to Charlotte Edney

- % Done changed from 0 to 10

- Private changed from Yes to No

Hello Charlotte,

I have run a quick check and compared c_exsame e_exsame g_exsame and found:

1. 62 cases where c_exsame=2 & e_exsame=1

2. 75 cases where c_exsame=1 & e_exsame=2

3. 90 cases where e_exsame=2 & g_exsame=1

4. 84 cases where e_exsame=1 & g_exsame=2

Is this what you find?

Best wishes,

Alita

#2 - 08/29/2019 11:31 AM - Charlotte Edney

Hi Alita,

Thanks for looking into it.

I was using a merged dataset and looked at it observationally but also checked the individual file in wide format to be sure it wasn't coming from one

of my merges.

I get similar but slightly different numbers:

1. 46 cases where c_exsame=2 & e_exsame=1

2. 60 cases where c_exsame=1 & e_exsame=2

3. 79 cases where e_exsame=2 & g_exsame=1

4. 74 cases where e_exsame=1 & g_exsame=2

also

5. 86 cases where c_exsame=2 & g_exsame=1

6. 93 cases where c_exsame=1 & g_exsame=2

Not quite sure why we've got a disrecpency as I only used the individual file in wide format to cross tabulate.
Best,

Charlotte

#3 - 09/02/2019 06:25 PM - Alita Nandi

- % Done changed from 10 to 50

For 5. & 6., my numbers are 91 and 97. You are consistently getting slightly fewer discrepancies than I am. Not sure why. Have you added any

condition that drops some cases? Below is the code I used. Ignoring the difference in our numbers, the % of discrepancy between Wave 3-5 is

around 7.6%, higher for the other waves (12.3% between 5 & 7, 15.4% between Waves 3 & 7). Have you checked whether the PIDP of the children

reported are the same in the cases where you find the discrepancies - I mean could some of these be genuine cases of change in circumstances?

Hope this helps.

If you have further questions or follow-ups please let us know.

Best wishes,

Alita

foreach w in c e g {

qui use pidp exsame using "$m/`w'_indresp.dta", clear

save `w', replace

}

use c, clear

merge 1:1 pidp using e, nogen

merge 1:1 pidp using g, nogen

recoding missing values to system missing

mvdecode _all, mv(-9/-1)

ta c_exsame e_exsame if c_exsame~=e_exsame, nol

ta e_exsame g_exsame if g_exsame~=e_exsame, nol

ta c_exsame g_exsame if c_exsame~=g_exsame, nol

generat diffce=0 if c_exsame<. & e_exsame<.

replace diffce=1 if c_exsame<. & e_exsame<. & c_exsame~=e_exsame

ta diffce

generat diffeg=0 if g_exsame<. & e_exsame<.

replace diffeg=1 if g_exsame<. & e_exsame<. & g_exsame~=e_exsame

ta diffeg

generat diffcg=0 if g_exsame<. & c_exsame<.

replace diffcg=1 if g_exsame<. & c_exsame<. & g_exsame~=c_exsame

ta diffcg

#4 - 03/02/2021 07:17 PM - Understanding Society  User Support Team

- Status changed from In Progress to Resolved

- Assignee deleted (Charlotte Edney)

- % Done changed from 50 to 100

Powered by TCPDF (www.tcpdf.org)

07/04/2025 2/2

http://www.tcpdf.org

